> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-pt-br/convencoes-da-api/pagination.md).

# Paginação

Recupere grandes coleções em respostas menores.

Os endpoints de lista usam paginação para dividir coleções grandes em respostas menores.

### Parâmetros

| Parâmetro   | Obrigatório | Descrição                                              |
| ----------- | ----------- | ------------------------------------------------------ |
| `pageSize`  | Não         | Número máximo de itens retornados.                     |
| `pageToken` | Não         | Identifica a página solicitada. Omiti-lo inicialmente. |

A referência do endpoint mostra se ele oferece suporte a esses parâmetros.

### Solicite a próxima página

Copiar `nextPageToken` da resposta. Passe-o como `pageToken` na próxima solicitação:

```http
GET /api/v2/sim?pageSize=50&pageToken=next-page-token
```

Continue até que a resposta omita `nextPageToken`.

{% hint style="info" %}
Trate os tokens de página como valores opacos. Não os edite nem os calcule.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-pt-br/convencoes-da-api/pagination.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
